#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define N 200000
#define M 10

int main()
{
    char T[N];
    gets(T);
    char S[M];
    gets(S);
    const int m = strlen(T);
    int niz[N] =  { };
    int brojac;
    for(int i =0; i<strlen(T); i++)
    {
        brojac = 0;
        for(int j =0; j<strlen(T); j++)
            if(T[i] == T[j])
                brojac++;
        niz[i]=brojac;
    }
    int min = niz[0];
    int index;
    for(int i =0; i<strlen(T); i++)
    {
        if(niz[i]<min)
        {
            min = niz[i];
            index = i;
        }

    }
    char c= T[index];
    for( int i = 0; i < strlen(T); i++)
    {
        if(T[i] == c)
            T[i] = '*';
    }
    printf("%d\n",min);
    puts(T);
}